import { StyleProp, ViewStyle } from 'react-native';
declare type animationType = 'none' | 'shiver' | 'pulse';
declare type animationDirection = 'horizontalLeft' | 'horizontalRight' | 'verticalTop' | 'verticalDown' | 'diagonalDownLeft' | 'diagonalDownRight' | 'diagonalTopLeft' | 'diagonalTopRight';
export declare type ICustomViewStyle = any;
export interface ISkeletonContentProps {
    isLoading: boolean;
    layout?: ICustomViewStyle[];
    duration?: number;
    containerStyle?: StyleProp<ViewStyle>;
    animationType?: 'none' | 'shiver' | 'pulse';
    animationDirection?: 'horizontalLeft' | 'horizontalRight' | 'verticalTop' | 'verticalDown' | 'diagonalDownLeft' | 'diagonalDownRight' | 'diagonalTopLeft' | 'diagonalTopRight';
    boneColor?: string;
    highlightColor?: string;
    easing?: any;
}
export interface IDirection {
    x: number;
    y: number;
}
export declare const DEFAULT_BORDER_RADIUS = 4;
export declare const DEFAULT_DURATION = 1200;
export declare const DEFAULT_ANIMATION_TYPE: animationType;
export declare const DEFAULT_ANIMATION_DIRECTION: animationDirection;
export declare const DEFAULT_BONE_COLOR = "#E1E9EE";
export declare const DEFAULT_HIGHLIGHT_COLOR = "#F2F8FC";
export declare const DEFAULT_EASING: any;
export declare const DEFAULT_LOADING = true;
export {};
